Subject: Re: undefined reference to pci_io_base

From: Geoff Levand <[email-masked]>
Date: Wed, 30 Aug 2006 08:05:17 -0700

Paul Mackerras wrote:
> Geoff Levand writes:
> 
>> I found the same, but was thinking
>> 
>> #if defined(CONFIG_ISA) && !defined(__mc68000__)
>> 
>> So it is only built when CONFIG_ISA=y.  Is there any
>> reason to always have it whit PCI?
> 
> It's occasionally useful with PCI && !ISA.  It's pretty useless with
> !PCI && !ISA.
> 
>> Paul, can I send you that fix, or should I send it to
>> someone else?
> 
> Send it to Andrew Morton.

For anyone interested, I sent that out here:

  http://lkml.org/lkml/2006/8/29/374

-Geoff